static char rcsid[] = "$Header: /home/cvsroot/xmimonc/icon.c,v 1.1.1.1 2001/11/17 16:30:04 kelly Exp $";
/*
 * $Header: /home/cvsroot/xmimonc/icon.c,v 1.1.1.1 2001/11/17 16:30:04 kelly Exp $
 *	
 * (c) 2001 Andreas Keldenich <kelly@myfoo.de>
 *
 * $Log: icon.c,v $
 * Revision 1.1.1.1  2001/11/17 16:30:04  kelly
 * Initial revision
 *
 */

#include <stdio.h>

#include <Xm/Xm.h>

#include "xmimonc.h"


void IconWindow(FormData *form_data)
{
  Window window, root;
  unsigned int width, height, border_width, depth;
  int x, y;
  Display *dpy = XtDisplay(form_data->app_shell);
  Pixmap image;
  Pixel fg, bg;
  
  XtVaGetValues(form_data->form, 
  		XmNforeground, &fg,
		XmNbackground, &bg,
  		NULL);
  image = XmGetPixmap(XtScreen(form_data->form), "xmimonc.xpm", fg, bg);
  if (image == XmUNSPECIFIED_PIXMAP)
  {
    XtWarning("Failed to load icon image.");
    return;
  }
  form_data->icon = image;
  
  XtVaGetValues(form_data->app_shell,
  		XmNiconWindow, &window,
		NULL);
  if (!window)
  {
    if (! XGetGeometry(dpy, image, &root, &x, &y, &width, &height, &border_width, &depth) 
        || !(window = XCreateSimpleWindow(dpy, root, 0, 0, width, height, 
			(unsigned) 0, CopyFromParent, CopyFromParent)))
    {
      XtVaSetValues(form_data->app_shell, XmNiconPixmap, image, NULL);
      return;
    }
    XtVaSetValues(form_data->app_shell, XmNiconWindow, window, NULL);
  }
  XSetWindowBackgroundPixmap(dpy, window, image);
  XClearWindow(dpy, window);
}


